2

I have followed the solutions to setting up ECW in QGIS. However, none of them work.

In addition I get a mount - access denied error when trying to load the gdal-ecw and gdal-mrsid plug-ins using the OSGeo4W installer in advanced mode. Any workarounds for this?

6
  • 1
    Running the installer as administrator should fix the "access denied" error.
    – underdark
    Mar 14 '13 at 22:04
  • How do you run the OSGeo4W installer as administrator?
    – Nic Gellie
    Mar 14 '13 at 22:29
  • 1
    Right-click "Run as Administrator". However, OSGeo4W has dropped ECW support. See hub.qgis.org/issues/6838 and osgeo-org.1560.n6.nabble.com/…
    – user2856
    Mar 15 '13 at 1:47
  • 1
    You could try grabbing a gdal binary build from gisinternals.com/sdk which still has ECW support (old v3.3) and copying libecwj2.dll to somewhere in your path and gdal_ECW_JP2ECW.dll to the gdal plugins dir.
    – user2856
    Mar 15 '13 at 2:01
  • have you tried faunalia.pt/node/438
    – underdark
    Mar 15 '13 at 12:00
2

This was said to work (on the mailing list http://osgeo-org.1560.n6.nabble.com/RE-ECW-td4646269i20.html#a5040712):

  1. from this archive (http://goo.gl/XiG21) copy gdal_ECW_JP2ECW into C:\OSGeo4W\bin\gdalplugins\1.9 directory.

  2. copy all other dll of previous archive in C:\OSGeo4W\bin and C:\Windows\System32 directories

1
  • For those who have installed the standalone version, the dll should go into C:\Program files (x86)\Quantum GIS Lisboa\bin\gdalplugins\1.9
    – AndreJ
    Apr 14 '13 at 18:47

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.